Doomsday Engine - Feature #1793

Use rich formatting in help strings
2014-05-01 11:21 - skyjake

Status: New Start date: 2014-05-01
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Enhancement

Target version: 3.x

Description

The help strings database cphelp.txt should be enhanced to use rich formatting and Info syntax for the files. We already have the
documentation being generated from Amethyst files; this should be adapted to produce the appropriate escape codes.

Related issues:

Related to Feature #1633: Console commands and Doomsday Script New 2013-10-22
Related to Feature #1511: List all cheats in context help for ccmd cheat New 2010-03-31
Related to Feature #1513: Examples with escaped quotes in context help for cc... New 2010-03-31
Related to Feature #1183: Default values printed with "help" New 2003-06-13
Related to Feature #1512: List all impulses in context help for ccmd impulse New 2010-03-31
History

#1 - 2014-05-01 11:21 - skyjake

- Description updated

#2 - 2017-03-23 19:19 - skyjake
- Target version set to 2.1 (Late 2018)

#3 - 2018-10-27 15:52 - skyjake
- Target version changed from 2.1 (Late 2018) to 2.2 (2019)

#4 - 2019-10-14 10:26 - skyjake

- Related to Feature #1633: Console commands and Doomsday Script added

#5 - 2019-10-14 10:31 - skyjake
- Target version changed from 2.2 (2019) to 2.3.x

#6 - 2019-11-29 15:43 - skyjake

- Related to Feature #1511: List all cheats in context help for ccmd cheat added

#7 - 2019-11-29 15:43 - skyjake

- Related to Feature #1513: Examples with escaped quotes in context help for ccmd alias added

#8 - 2019-11-29 16:00 - skyjake
- Related to Feature #1183: Default values printed with "help" added

#9 - 2019-11-29 20:27 - skyjake

- Related to Feature #1512: List all impulses in context help for ccmd impulse added

#10 - 2019-11-29 22:49 - skyjake

- Target version changed from 2.3.x to 3.x
